Media
Generate alternative text for an image
Generates alternative text from the stored 400-pixel JPEG thumbnail and optional post text used as untrusted context, then saves it only when the media still has no alternative text.
POST
/media/{id}/alt-text/generateAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Media ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/media/string/alt-text/generate" \ -H "Content-Type: application/json" \ -d '{}'{ "$schema": "https://example.com/api/v1/schemas/GenerateMediaAltTextOutputBody.json", "alt_text": "string", "generated": true, "model": "string"}